@echo off
setlocal
TITLE Resolution...
REM GeoShell Resolution CMD File
REM Created by Benjamin Burrows 6/21/05
REM edited by cdob 7/2/06: setres v2.1
REM http://www.ubcd4win.com

REM SETRES v2.1 (c) Ian Sharpe April 2005. www.iansharpe.com

if [%1]==[] (echo no resolution requested & pause & goto :eof)

set temp_res=%temp%.\setres.txt

if [%1]==[-type-error] goto :type_error

set resolution=h%1
if not [%2]==[] set resolution=%resolution% v%2
if not [%3]==[] set resolution=%resolution% b%3
if not [%4]==[] set resolution=%resolution% f%4


echo setres.exe n %resolution% > %temp_res%
%systemdrive%\Programs\Nu2Menu\setres.exe n %resolution% >> %temp_res%

rem Display mode changed?
rem Show error in a new task to be recogniced by user.
if ERRORLEVEL 1 (
  start "Error" "%~0" -type-error
  endlocal & exit
)

rem Display mode is changed, adjust GeoShell
set GeoTasksWidth=
if (%1)==(640)  set GeoTasksWidth=340
if (%1)==(800)  set GeoTasksWidth=500
if (%1)==(1024) set GeoTasksWidth=710
if (%1)==(1152) set GeoTasksWidth=900
if (%1)==(1280) set GeoTasksWidth=1150

if not [%GeoTasksWidth%]==[] (
  REG ADD "HKCU\Software\Geo\GeoShell\Plugins\GeoTasks0_1" /v "Plugin Width Hint" /t REG_DWORD /d "%GeoTasksWidth%" /f
  %SystemDrive%\programs\geoshell\geoshell -quick_recycle
  if exist %systemdrive%\Programs\myinfo\myinfo.exe %systemdrive%\Programs\myinfo\myinfo.exe
)

if exist %temp_res% del %temp_res%
endlocal & exit


:type_error
color 1E
title Error: Display mode change failed
type %temp_res% & del %temp_res%
pause >nul
endlocal & exit